net.sourceforge.pmd.processor

## Class AbstractPMDProcessor

- java.lang.Object
- - net.sourceforge.pmd.processor.AbstractPMDProcessor

Direct Known Subclasses:
  MonoThreadProcessor, MultiThreadProcessor

    public abstract class AbstractPMDProcessor
    extends Object

Author:
  Romain Pelisse <belaran@gmail.com>

### Field Summary

Fields
`protected PMDConfiguration` `configuration`

### Constructor Summary

Constructors
Constructor and Description
`AbstractPMDProcessor(PMDConfiguration configuration)`

### Method Summary

Methods
`protected RuleSets` `createRuleSets(RuleSetFactory factory)`
`protected String` `filenameFrom(DataSource dataSource)`
`void` `renderReports(List<Renderer> renderers, Report report)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### configuration

    protected final PMDConfiguration configuration

### Constructor Detail

#### AbstractPMDProcessor

    public AbstractPMDProcessor(PMDConfiguration configuration)

### Method Detail

#### renderReports

    public void renderReports(List<Renderer> renderers,
                     Report report)

#### filenameFrom

    protected String filenameFrom(DataSource dataSource)

#### createRuleSets

    protected RuleSets createRuleSets(RuleSetFactory factory)